    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.sql.DriverPropertyInfo

    java.lang.Object
       |
       +----java.sql.DriverPropertyInfo

public class DriverPropertyInfo
extends Object

The DriverPropertyInfo class is only of interest to advanced programmers who need to interact with a Driver via getDriverProperties to discover and supply properties for connections.

##

choices
  If the value may be selected from a particular set of values, then this is an array of the possible values.
description
  A brief description of the property.
name
  The name of the property.
required
  "required" is true if a value must be supplied for this property during Driver.connect.
value
  "value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values.

##

DriverPropertyInfo(String, String)
  Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

##

name

     public String name

  The name of the property.

description

     public String description

  A brief description of the property. This may be null.

required

     public boolean required

  "required" is true if a value must be supplied for this property during Driver.connect. Otherwise the property is optional.

value

     public String value

  "value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values. This may be null if no value is known.

choices

     public String choices[]

  If the value may be selected from a particular set of values, then this is an array of the possible values. Otherwise it should be null.

##

DriverPropertyInfo

     public DriverPropertyInfo(String name,
                               String value)

  Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

  Parameters:
    name - the name of the property
    value - the current value, which may be null

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.